Counts the number of values. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Similar: [index], [indexRange], [size], [isEmpty].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.length(x, [i], [I]);
// x: an array
// i: start index (-ve: from right) (0)
// I: end index (-ve: from right) (end)
```

```javascript
const array = require('extra-array');

var x = [2, 4, 6, 8];
array.length(x);
// 4

array.length(x, 1);
// 3

array.length(x, 1, 3);
// 2
```

### references

- [Array.prototype.slice: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/slice)
- [Array.length: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/length)

[index]: https://github.com/nodef/extra-array/wiki/index
[indexRange]: https://github.com/nodef/extra-array/wiki/indexRange
[size]: https://github.com/nodef/extra-array/wiki/size
[:running:]: https://npm.runkit.com/@extra-array/length
[:package:]: https://www.npmjs.com/package/@extra-array/length
[:moon:]: https://www.npmjs.com/package/@extra-array/length.min
[:ledger:]: https://unpkg.com/@extra-array/length/
[isEmpty]: https://github.com/nodef/extra-array/wiki/isEmpty
[:vhs:]: https://asciinema.org/a/332092
